Description

Create a workflow and report and save the KAR. Next, change the workflow (i.e., bump the MOML LSID), save the KAR (overwrite

or not doesn't seem to matter), and run it. The report should be blank. Sometimes, the ROML still exists in the KAR, so closing and
re-opening works fine. In this case, the run archive contains the correct workflow_ROML.xml entry and a different ROML.#.xml that
doesn't match the workflow_ROML.xml entry. Other times, the ROML seems to be lost from the KAR, in which case the run archive
has no workflow_ROML.xml entry and a blank ROML.#.xml.

History

#1 - 12/14/2009 03:51 PM - Oliver Soong

Regarding the part about the ROML being lost (second described symptom), it reminds me a lot of bug 4592, but | think now the MOML needs to be
changed between the saves to trigger it.

So:

1. New workflow, File->Save Archive, Change MOML, File->Save Archive: error

2. Saved KAR, Change MOML, File->Save Archive: no error

3. Saved KAR, Change MOML, File->Save Archive, Change MOML, File->Save Archive: error

4. Saved KAR, Change MOML, File->Save Archive, close & re-open, Change MOML, File->Save Archive: no error

5. Saved KAR, Change MOML, File->Save Archive, close & re-open, Change MOML, File->Save Archive, Change MOML, File->Save
Archive: error

Still not sure why ROML->RIO doesn't seem to link up (first described symptom)

#2 - 12/14/2009 04:50 PM - Oliver Soong
This is observed on both r22183 and r22155. Still trying to find a build that won't lose my data...

#3 - 12/14/2009 05:46 PM - Oliver Soong

| should also point out that bug 4571 shows up in cases 4 and 5.

4. Saved KAR, Change MOML, File->Save Archive, close & re-open (report layout is blank, but ROML exists), Change MOML, File->Save Archive: no
error (report layout displays again)

5. Saved KAR, Change MOML, File->Save Archive, close & re-open (report layout is blank, but ROML exists), Change MOML, File->Save Archive,
Change MOML, File->Save Archive: error (no report layout and no ROML).

#4 - 12/14/2009 07:44 PM - Oliver Soong

I think | can hopefully clarify the example and maybe help show why this is incredibly confusing:

1. New workflow, File->Save Archive (kar1), Run. The report designer shows the report, the report viewer is a blank page, and kar1 has
workflow_ROML.xml.

2. Bump LSID (I usually delete & undo), File->Save Archive (kar2), Run. workflow_ROML.xml is missing from kar2.

3. Close & reopen kar1, Run. The report designer is blank and the report viewer shows the report. | think this is bug 4571.

4. Bump LSID, File->Save Archive (kar3), Run. The report designer shows the report, the report viewer is a blank page, and kar3 has
workflow_ROML.xml.

5. Now, if we export all the runs, the first is missing workflow_ROML.xml, the second has a minimal workflow_ROML.xml, the third has a minimal
workflow_ROML.xml but the full ROML.#.xml, and the fourth has what | think is RIO.#.xml content in workflow_ROML.xml but a minimal ROML.#.XML
and a minimal RIO.#.xml.

There is another test sequence:
1. New workflow, File->Save Archive (kar1), Run, Export run (run1). The report designer shows the report, the report viewer is a blank page, kar1
has workflow_ROML.xml, and run1 is missing workflow_ROML.xml.

2. Bump LSID (I usually delete & undo), File->Save Archive (kar2), Run, Export run (run2). kar2 has a minimal workflow_ROML.xml, and run2 is
missing workflow_ROML.xml.
3. Close & reopen kar1, Run, Export run (run3). The report designer is blank and the report viewer shows the report. Bug 4571 again, but run3 has
the full workflow_ROML.xml.

4. Bump LSID, File->Save Archive (kar3), Run, Export run (run4). The report designer shows the report, the report viewer is a blank page, kar3 has
workflow_ROML.xml (with RIO.#.xml contents), and run4 is missing workflow_ROML.xml.

Right now, | think these examples show off some of the biggest problems in the way of being able to repeatedly change, save, and run, which is pretty
central to building reports.

#7 - 12/14/2009 11:21 PM - ben leinfelder

I've at least addressed some of this in r22198.

| concentrated on editing wf/layout->saving kar->editing->saving.... So that the layout is not lost and always shows up in the designer view after you
save/reopen.

| don't believe running the workflow between saves should have much bearing on how the archive is written.

#8 - 12/18/2009 12:09 PM - Oliver Soong

This actually looks great right now. It seems to clear all the test cases.

#9 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4632

Files
example 1.zip 65.5 KB 12/15/2009 Oliver Soong
example 2.zip 65.1 KB 12/15/2009 Oliver Soong
